routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'SiteController@index')->name('inicio');
Route::get('/pg/{destaque}/{pagina}', 'SiteController@pagina')->name('pagina');
Route::get('/sobre', 'SiteController@sobre')->name('sobre');
Route::get('/profissionais-parceiros', 'SiteController@profissionaisParceiros')->name('profissionais-parceiros');
Route::get('/posts', 'SiteController@posts')->name('posts');
Route::get('/especialidades', 'SiteController@especialidades')->name('especialidades');
Route::get('/posts/{slug}', 'SiteController@postagem')->name('posts.postagem');
Route::get('/contato', 'SiteController@contato')->name('contato');
Route::post('/enviar-email', 'SiteController@enviarEmail')->name('enviar-email');

Route::get('erro', function(){
	return view('site/404');
})->name('erro');


Auth::routes();
Route::get('/home', 'HomeController@index')->name('home');

Auth::routes();
Route::resource('admin/posts', 'PostsController');

Auth::routes();
Route::get('/home', 'HomeController@index')->name('home');

Auth::routes();
Route::resource('admin/especialidades', 'EspecialidadesController');


Auth::routes();
Route::resource('admin/destaques', 'DestaquesController');

app/Especialidades.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Especialidades extends Model
{

	protected $table    = 'paginas';
	protected $fillable = [
		'pagina',
		'texto'
	];

}

app/Http/Controllers/EspecialidadesController.php
<?php

namespace App\Http\Controllers;

use App\Especialidades;
use App\Http\Requests\EspecialidadesRequest;
use Illuminate\Support\Facades\DB;

class EspecialidadesController extends Controller
{
    private $view = 'especialidades.';

    public function index()
    { 
        $registros = Especialidades::orderBy('descricao')->get();

        return view($this->view.'listar', compact('registros'));
    }

    public function create()
    {
        $registro = Especialidades::where('pagina','especialidades')->first();
        
        return view($this->view.'criar_editar', compact('registro'));
    }

    public function store(EspecialidadesRequest $request)
    {
        $request['pagina'] = 'especialidades';
        try {
            DB::beginTransaction();

            if($request->id == 0){
                Especialidades::create($request->all());
            }else{
                Especialidades::find($request->id)->update($request->all());
            }
            
        } catch (\Illuminate\Database\QueryException $e) {
            DB::rollBack();
            return redirect()->back()->with('error','Não foi possível cadastrar!');
        }            

        DB::commit();

        return redirect()->back()->with('notice', 'Registro salvo com sucesso!');
    }


}

resources/views/especialidades/criar_editar.blade.php
@extends('layout.base')

@section('title', 'Especialidades')

@section('content_header')
    <h1>Especialidades</h1>
@stop

@section('breadcrumb')
    <li class="breadcrumb-item active"> Especialidades</li>

@endsection

@section('acoes')
    <a href="{{ route('home') }}" class="btn btn-sm btn-default" data-toggle="tooltip" title="Voltar">
        <i class="fa fa-reply"></i> Voltar
    </a>
@endsection

@section('content')
@section('plugins.Summernote', true)
@section('plugins.Croppie', true)

<div class="row">
    <div class="col-md-12">
         @include('mensagem') 
        <div class="card">
            <div class="card-body table-responsive">
                <form action="{{ route('especialidades.store') }}" method="post" enctype="multipart/form-data">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                    <input type="hidden" name="id" value="{{ $registro->id ?? 0 }}">

                    <div class="row">
                        <div class="col-xs-12 col-md-12 mb-3">

                            <label>Texto</label>
                            <textarea type="textarea" name="texto"
                                class="textarea form-control {{ $errors->has('texto') ? 'is-invalid' : '' }}">

                            @if (isset($registro->texto))
                            {!! $registro->texto !!}
                @else
                            {!! old('texto') !!}
                            @endif
                        </textarea>
                            @if ($errors->has('texto'))
                                <div class="invalid-feedback">
                                    <strong>{{ $errors->first('texto') }}</strong>
                                </div>
                            @endif
                        </div>
                    </div>

                    <div class="box-footer">
                        <div class="text-right">
                            <a href="{{ route('home') }}" class="btn btn-default">
                                <i class="fa fa-angle-double-left" aria-hidden="true"></i> Voltar
                            </a>
                            <button class="btn btn-success btn-submit" type="submit">
                                <i class="fa fa-save"></i> Salvar
                            </button>

                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@stop
@section('js')
<script src="{{ asset('vendor/summernote/lang/summernote-pt-BR.js') }}"></script>
<script>
    $(document).ready(function() {
       
        $(".textarea").summernote({
            lang: "pt-BR",
            height: 300
        });
    });
    </script>
@endsection